package com.wecise.odb.jdbc;

import redis.clients.jedis.commands.ProtocolCommand;
import redis.clients.jedis.util.SafeEncoder;

public class ODBCommandProtocol {
    public enum JDBC implements ProtocolCommand {
        jdbc;

        private final byte[] raw;

        JDBC() {
            raw = SafeEncoder.encode(name());
        }

        @Override
        public byte[] getRaw() {
            return raw;
        }
    }

    public enum MQL implements ProtocolCommand {
        mql;

        private final byte[] raw;

        MQL() {
            raw = SafeEncoder.encode(name());
        }

        @Override
        public byte[] getRaw() {
            return raw;
        }
    }
}
